CLASS TEMPLATE (3)

NAME
boost::date_time::week_functor - Functor to iterate a over weeks.

SYNOPSIS

// In header: <boost/date_time/adjust_functors.hpp>
template<typename date_type>
class week_functor {
public:
  // types
  typedef date_type::duration_type duration_type;
  typedef date_type::calendar_type calendar_type;
  // construct/copy/destruct
  week_functor(int);
  // public member functions
  duration_type get_offset(const date_type &) const;
  duration_type get_neg_offset(const date_type &) const;
};

DESCRIPTION

  week_functor public construct/copy/destruct

    1.

    week_functor(int f);

  week_functor public member functions

    1.

    duration_type get_offset(const date_type & d) const;

    2.

    duration_type get_neg_offset(const date_type & d) const;